Subject: Testsuite summary for gzip 1.6 SunOS 5.10 Sparc

From: [email-masked]
Date: Sun, 9 Nov 2014 18:07:39 GMT

====================================
   gzip 1.6: tests/test-suite.log
====================================

# TOTAL: 15
# PASS:  13
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 1

.. contents:: :depth: 2

FAIL: zgrep-context
===================

++ initial_cwd_=/usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests gt-zgrep-context.XXXX
+++ case $# in
+++ destdir_=/usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests
+++ template_=gt-zgrep-context.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=/usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-context.aGEb
+++ case $d in
+++ test -d /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-context.aGEb
++++ ls -dgo /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-context.aGEb
++++ tr S -
+++ perms='drwx------   2       2 Nov  9 18:01 /usr/local/build/gzip-1.6_-unO-5.10_sparcv9.001/tests/gt-zgrep-context.aGEb'
+++ case $perms in
+++ test 0 = 0
+++ echo /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-context.aGEb
+++ return
++ test_dir_=/usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-context.aGEb
++ cd /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-context.aGEb
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ..
+ test 1 '!=' 0
+ path_dir_=..
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/..
+ case $abs_path_dir_ in
+ PATH=/usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/..:/usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/studio/SOS12/SUNWspro/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/perl5/5.8.4/bin
+ create_exe_shims_ /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/..
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ seq 40
+ case $# in
+ start=1
+ final=40
+ awk 'BEGIN{for(i=1;i<=40;i++) print i}'
+ gzip
+ seq 2 32
+ case $# in
+ start=2
+ final=32
+ awk 'BEGIN{for(i=2;i<=32;i++) print i}'
+ fail=0
+ zgrep -15 17 -
/usr/xpg4/bin/grep: illegal option -- 1
Usage:	grep [-c|-l|-q] [-bhinsvwx] pattern_list [file ...]
	grep [-c|-l|-q] [-bhinsvwx] [-e pattern_list]... [-f pattern_file]... [file...]
	grep -E [-c|-l|-q] [-bhinsvx] pattern_list [file ...]
	grep -E [-c|-l|-q] [-bhinsvx] [-e pattern_list]... [-f pattern_file]... [file...]
	grep -F [-c|-l|-q] [-bhinsvx] pattern_list [file ...]
	grep -F [-c|-l|-q] [-bhinsvx] [-e pattern_list]... [-f pattern_file]... [file...]
+ fail=1
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ cat diff.out
--- exp	Sun Nov  9 18:01:58 2014
+++ out	Sun Nov  9 18:01:58 2014
@@ -1,31 +1,0 @@
-2
-3
-4
-5
-6
-7
-8
-9
-10
-11
-12
-13
-14
-15
-16
-17
-18
-19
-20
-21
-22
-23
-24
-25
-26
-27
-28
-29
-30
-31
-32
+ rm -f diff.out
+ false
+ fail=1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ cd /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests
+ chmod -R u+rwx /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-context.aGEb
+ rm -rf /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-context.aGEb
+ exit 1

ERROR: zgrep-signal
===================

++ initial_cwd_=/usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests
++ fail=0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests gt-zgrep-signal.XXXX
+++ case $# in
+++ destdir_=/usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests
+++ template_=gt-zgrep-signal.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ case $template_ in
++++ unset TMPDIR
+++ d=/usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-signal..MLb
+++ case $d in
+++ test -d /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-signal..MLb
++++ ls -dgo /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-signal..MLb
++++ tr S -
+++ perms='drwx------   2       2 Nov  9 18:02 /usr/local/build/gzip-1.6_-unO-5.10_sparcv9.001/tests/gt-zgrep-signal..MLb'
+++ case $perms in
+++ test 0 = 0
+++ echo /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-signal..MLb
+++ return
++ test_dir_=/usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-signal..MLb
++ cd /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-signal..MLb
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ..
+ test 1 '!=' 0
+ path_dir_=..
+ case $path_dir_ in
+ abs_path_dir_=/usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/..
+ case $abs_path_dir_ in
+ PATH=/usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/..:/usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/studio/SOS12/SUNWspro/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin:/usr/perl5/5.8.4/bin
+ create_exe_shims_ /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/..
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ echo a
+ gzip -c
+ test x = x
+ PERL=perl
++ write_to_dangling_pipe cat f.gz f.gz
++ exec
++ exec_with_SIGPIPE_SIG_DFL cat f.gz f.gz
++ program=cat
++ shift
++ args=
++ for arg in '"$@"'
++ args=', '\''f.gz'\'''
++ for arg in '"$@"'
++ args=', '\''f.gz'\'', '\''f.gz'\'''
++ perl -e '$SIG{PIPE} = '\''DEFAULT'\''; exec '\''cat'\'', '\''f.gz'\'', '\''f.gz'\'''
++ :
++ echo 0
+ signal_status=0
+ test 128 -lt 0
+ framework_failure_ 'signal handling busted on this host'
+ warn_ 'zgrep-signal: set-up failure: signal handling busted on this host'
+ case $IFS in
+ printf '%s\n' 'zgrep-signal: set-up failure: signal handling busted on this host'
zgrep-signal: set-up failure: signal handling busted on this host
+ test 9 = 2
+ printf '%s\n' 'zgrep-signal: set-up failure: signal handling busted on this host'
+ sed 1q
+ Exit 99
+ set +e
+ exit 99
+ exit 99
+ remove_tmp_
+ __st=99
+ cleanup_
+ :
+ cd /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests
+ chmod -R u+rwx /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-signal..MLb
+ rm -rf /usr/local/build/gzip-1.6_SunOS5.10_sparcv9.001/tests/gt-zgrep-signal..MLb
+ exit 99